Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705260 - =media-tv/gentoo-vdr-scripts-2.7.5.1 uses lexicographical compare
Summary: =media-tv/gentoo-vdr-scripts-2.7.5.1 uses lexicographical compare
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VDR Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 705240
  Show dependency tree
 
Reported: 2020-01-12 11:29 UTC by Sergei Trofimovich
Modified: 2020-02-24 12:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich gentoo-dev 2020-01-12 11:29:36 UTC
media-tv/gentoo-vdr-scripts uses lexicographical string version compare:

media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-2.7.3.ebuild:	if [[ ${PLUGINS_NEW} > 0 ]]; then
media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-2.7.5.1.ebuild:	if [[ ${PLUGINS_NEW} > 0 ]]; then

The intention is likely to use '-gt'. See bug #705240 for hints to fix it.
Comment 1 Joerg Bornkessel gentoo-dev 2020-01-12 19:32:50 UTC
media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-2.7.3
is ARCH, i will not touch this afterwards

media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-2.7.5.1.
has this issues, but

media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-2.8
will be requested for stabilisation in the next few days

then the previuss buggy versions will be removed from the tree...
Comment 2 Larry the Git Cow gentoo-dev 2020-02-04 19:45:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c29f6e584be9971512c729c505fb59e226835e6a

commit c29f6e584be9971512c729c505fb59e226835e6a
Author:     Joerg Bornkessel <hd_brummy@gentoo.org>
AuthorDate: 2020-02-04 19:44:57 +0000
Commit:     Joerg Bornkessel <hd_brummy@gentoo.org>
CommitDate: 2020-02-04 19:45:22 +0000

    media-tv/gentoo-vdr-scripts: cleanup old bugy ~arch
    
    Bug: https://bugs.gentoo.org/705260
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org>

 media-tv/gentoo-vdr-scripts/Manifest               |   1 -
 .../gentoo-vdr-scripts-2.7.5.1.ebuild              | 130 ---------------------
 2 files changed, 131 deletions(-)
Comment 3 Joerg Bornkessel gentoo-dev 2020-02-04 19:48:40 UTC
media-tv/gentoo-vdr-scripts/gentoo-vdr-scripts-2.7.3

will be removed in the near future,

let the user test the latest ARCH version before...
Comment 4 Larry the Git Cow gentoo-dev 2020-02-24 12:23:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc871b0fd4c5d066f60435ad6468a36d695f35ad

commit dc871b0fd4c5d066f60435ad6468a36d695f35ad
Author:     Joerg Bornkessel <hd_brummy@gentoo.org>
AuthorDate: 2020-02-24 12:22:24 +0000
Commit:     Joerg Bornkessel <hd_brummy@gentoo.org>
CommitDate: 2020-02-24 12:22:24 +0000

    media-tv/gentoo-vdr-scripts: cleanup old version
    
    Closes: https://bugs.gentoo.org/705260
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org>

 media-tv/gentoo-vdr-scripts/Manifest               |   1 -
 .../gentoo-vdr-scripts-2.7.3.ebuild                | 135 ---------------------
 media-tv/gentoo-vdr-scripts/metadata.xml           |   3 -
 3 files changed, 139 deletions(-)